library osam_flutter;

import 'package:osam/osam.dart';
import 'package:osam_flutter/src/navigation/osam_route.dart';

export 'package:after_layout/after_layout.dart';
export 'package:osam/osam.dart';
export 'src/navigation/navigation_presenter.dart';
export 'src/navigation/navigation_state.dart';
export 'src/navigation/osam_navigator.dart';
export 'src/navigation/osam_route.dart';
export 'src/navigation/exceptions.dart';
export 'src/presentation/loading/loading_mixin.dart';
export 'src/presentation/loading/loading_wrapper.dart';
export 'src/presentation/osam_provider.dart';
export 'src/presentation/osam_builder.dart';


void registerOsamFlutterAdapters() {
  Hive.registerAdapter(PropertyNotifierAdapter());
  Hive.registerAdapter(OsamRouteAdapter());
}
